import { i18n } from "@/stores"

/**
 * 报表类型
 */
export enum ReportType {
    Day = 0, // 日报表
    Week = 4, // 周报表
    Month = 1, // 月报表
    Quarter = 2, // 季报表
    Year = 3, // 年报表
}

/**
 * 获取报表类型列表
 * @returns 
 */
export function getReportTypeList() {
    return [
        { label: i18n.global.t('enum.reporttype.day'), value: ReportType.Day },
        { label: i18n.global.t('enum.reporttype.week'), value: ReportType.Week },
        { label: i18n.global.t('enum.reporttype.month'), value: ReportType.Month },
        { label: i18n.global.t('enum.reporttype.quarter'), value: ReportType.Quarter },
        { label: i18n.global.t('enum.reporttype.year'), value: ReportType.Year },
    ]
}

/**
 * 季度
 */
export enum Quarter {
    First = 1,
    Second = 2,
    Third = 3,
    Fourth = 4,
}

/**
 * 获季度列表
 * @returns 
 */
export function getQuarterList() {
    return [
        { label: i18n.global.t('enum.quarter.first'), value: Quarter.First },
        { label: i18n.global.t('enum.quarter.second'), value: Quarter.Second },
        { label: i18n.global.t('enum.quarter.third'), value: Quarter.Third },
        { label: i18n.global.t('enum.quarter.fourth'), value: Quarter.Fourth },
    ]
}

/**
 * 获取季度名称
 * @param value 
 * @returns 
 */
export function getQuarterName(value?: number) {
    const item = getQuarterList().find((e) => e.value === value)
    return item?.label ?? value
}